Subject: Re: bug#33530: 26.1.90; D-Bus crashes Emacs: consp, Fatal error 7: Bus error

From: Damien Cassou <[email-masked]>
Date: Wed, 28 Nov 2018 10:28:47 +0100

Hi Eli,

Eli Zaretskii <[email-masked]> writes:
> Can you please show the value of 'data' in frame #10 or in frame #5,
> in human-readable form?  This should be possible using the "xtype"
> command followed by another x* command, according to what type is
> shown by "xtype", probably "xsymbol".

I would like to do that but I lack knowledge of gdb. Here is what I came
up with:

(gdb) frame 10
#10 0x00000000005911d8 in cmd_error_internal (data=XIL(0x1347253), context=0x7fffffffce90 "") at keyboard.c:972
972	    call3 (Vcommand_error_function, data,

(gdb) p data
$1 = XIL(0x1347253)

(gdb) xtype
Lisp_Cons

(gdb) xcons
$2 = (struct Lisp_Cons *) 0x1347250 <bss_sbrk_buffer+7214928>
{
  u = {
    s = {
      car = XIL(0xe3a0), 
      u = {
        cdr = XIL(0x1347283), 
        chain = 0x1347283
      }
    }, 
    gcaligned = 0xa0
  }
}

-- 
Damien Cassou
http://damiencassou.seasidehosting.st

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill